Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.document
Class ParsableDocumentSource

    java.lang.Object
      org.apache.excalibur.source.impl.AbstractSource
          fr.gouv.culture.sdx.document.ParsableDocumentSource

All Implemented Interfaces:
  org.apache.excalibur.source.Source

public class ParsableDocumentSource
extends org.apache.excalibur.source.impl.AbstractSource

Created by IntelliJ IDEA. User: rpandey Date: 18 mars 2004 Time: 19:15:38 To change this template use Options | File Templates.

Field Summary
`protected ParsableDocument` | `_parsableDocument`

Constructor Summary
`ParsableDocumentSource(org.apache.avalon.framework.service.ServiceManager manager, ParsableDocument document)`

Method Summary
`boolean` | `exists()`
`org.xml.sax.InputSource` | `getInputSource()`
`java.lang.String` | `getSystemId()`
`void` | `toSAX(org.xml.sax.ContentHandler handler)` Stream content to a content handler or to an XMLConsumer.

Methods inherited from class org.apache.excalibur.source.impl.AbstractSource
`checkInfos, getContentLength, getInfos, getInputStream, getLastModified, getMimeType, getScheme, getURI, getValidity, refresh, setContentLength, setLastModified, setScheme, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _parsableDocument

    protected ParsableDocument _parsableDocument

Constructor Detail

### ParsableDocumentSource

    public ParsableDocumentSource(org.apache.avalon.framework.service.ServiceManager manager,
                                  ParsableDocument document)

Method Detail

### getInputSource

    public org.xml.sax.InputSource getInputSource()
                                           throws java.io.IOException,
                                                  org.apache.cocoon.ProcessingException

  Throws:
    `java.io.IOException`
    `org.apache.cocoon.ProcessingException`

### getSystemId

    public java.lang.String getSystemId()

### toSAX

    public void toSAX(org.xml.sax.ContentHandler handler)
               throws org.xml.sax.SAXException,
                      org.apache.cocoon.ProcessingException

  Stream content to a content handler or to an XMLConsumer.

  Throws:
    `org.apache.cocoon.ResourceNotFoundException` - if file not found or HTTP location does not exist.
    `org.xml.sax.SAXException` - if failed to parse source document.
    `org.apache.cocoon.ProcessingException`

### exists

    public boolean exists()

  See Also:
    `Source.exists()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.